Index: exec/admin_plugin.php
===================================================================
--- exec/admin_plugin.php	(revision 5874)
+++ exec/admin_plugin.php	(working copy)
@@ -29,8 +29,6 @@
 
 		$s = "";
 		$s .= "<div id='$plug_file'";
-		if ($surligne)
-			$s .= " style='background:$couleur_claire'";
 		$s .= ">";
 		if (isset($info['erreur'])){
 			$s .=  "<div style='background:$couleur_claire'>";
@@ -84,12 +82,15 @@
 
 		$s = "";
 		if ('O' == $plugok){
-			if ($id_input>0)
+			$vals[] = $s;
+			// Possibilité d'ordonner les plugins masquee pour le moment
+			// la fonction reste possible par l'url du type monter=forms,descendre=forms
+			/*if ($id_input>0)
 				$s = "<a href='".generer_url_ecrire('admin_plugin',"monter=".urlencode($plug_file))."'><img src='"._DIR_IMG_PACK."monter-16.png' style='border:0'></a>";
 			$vals[] = $s;
 			$s = "";
 			if (!$last_actif)
-				$s = "<a href='".generer_url_ecrire('admin_plugin',"descendre=".urlencode($plug_file))."'><img src='"._DIR_IMG_PACK."descendre-16.png' style='border:0'></a>";
+				$s = "<a href='".generer_url_ecrire('admin_plugin',"descendre=".urlencode($plug_file))."'><img src='"._DIR_IMG_PACK."descendre-16.png' style='border:0'></a>";*/
 		}
 		else{
 			$vals[] = $s;
@@ -100,7 +101,10 @@
 		if (!$erreur){
 			$s .= "<input type='checkbox' name='statusplug_$plug_file' value='O' id='label_$id_input'";
 			$s .= ('O' == $plugok)?" checked='checked'":"";
-			$s .= " /> <label for='label_$id_input'><strong>"._T('activer_plugin')."</strong></label>";
+			$s .= " /> <label for='label_$id_input'";
+			if ($surligne)
+				$s .= " style='background:$couleur_claire'";
+			$s .= "><strong>"._T('activer_plugin')."</strong></label>";
 		}
 		$id_input++;
 		$vals[] = $s;
@@ -177,12 +181,12 @@
 	//
 	$plugins_actifs=liste_plugin_actifs();
 	$count = 0;
-	foreach ($plugins_actifs as $plug_file){
+	/*foreach ($plugins_actifs as $plug_file){
 		$tableau[] = ligne_plug($plug_file,$plugins_actifs,++$count==count($plugins_actifs),$surligne==$plug_file);
+	}*/
+	foreach (liste_plugin_files() as $plug_file){
+		$tableau[] = ligne_plug($plug_file,$plugins_actifs,false,in_array($plug_file,$plugins_actifs));
 	}
-	foreach (liste_plugin_inactifs() as $plug_file){
-		$tableau[] = ligne_plug($plug_file,$plugins_actifs,false);
-	}
 
 	$largeurs = array('','15px','20px','120px');
 	$styles = array('arial11', 'arial1','arial1', 'arial1');
@@ -196,8 +200,14 @@
 
 	echo "\n<p>";
 	
-	echo "<div style='text-align:$spip_lang_right'><input type='submit' name='Valider' value='"._T('bouton_valider')."' class='fondo'></div>";
+	echo "<div style='text-align:$spip_lang_right'>";
+	echo "<input type='submit' name='Valider' value='"._T('bouton_valider')."' class='fondo'>";
+	echo "</div>";
 
+	echo "<div style='text-align:$spip_lang_left'>";
+	echo "<input type='submit' name='desactive_tous' value='"._T('bouton_desactive_tout')."' class='fondl'>";
+	echo "</div>";
+
 	echo "</form></tr></table>\n";
 
 	echo "<br />";
Index: inc/plugin.php
===================================================================
--- inc/plugin.php	(revision 5874)
+++ inc/plugin.php	(working copy)
@@ -28,6 +28,7 @@
 		&& isset($infos['prefix']))
 			$plugin_files[]=substr(dirname($plugin), strlen(_DIR_PLUGINS));
 	}
+	sort($plugin_files);
 	return $plugin_files;
 }
 
@@ -180,9 +181,11 @@
 	  $test["statusplug_$file"] = $file;
 	}
 	$plugin=array();
-	foreach($_POST as $choix=>$val){
-	  if (isset($test[$choix])&&$val=='O')
-			$plugin[]=$test[$choix];
+	if (!isset($_POST['desactive_tous'])){
+		foreach($_POST as $choix=>$val){
+			if (isset($test[$choix])&&$val=='O')
+				$plugin[]=$test[$choix];
+		}
 	}
 	ecrire_plugin_actifs($plugin);
 	ecrire_metas();
@@ -209,6 +212,7 @@
 	$out = array();
   // enlever les commentaires
   $texte = preg_replace(',<!--(.*?)-->,is','',$texte);
+  $texte = preg_replace(',<\?(.*?)\?>,is','',$texte);
   $txt = $texte;
 
 	// tant qu'il y a des tags
Index: lang/ecrire_fr.php
===================================================================
--- lang/ecrire_fr.php	(revision 5874)
+++ lang/ecrire_fr.php	(working copy)
@@ -62,6 +62,7 @@
 'bouton_checkbox_signature_unique_email' => 'une seule signature par adresse email',
 'bouton_checkbox_signature_unique_site' => 'une seule signature par site Web',
 'bouton_demande_publication' => 'Demander la publication de cet article',
+'bouton_desactive_tout' => 'Tout desactiver',
 'bouton_effacer_index' => 'Effacer les index',
 'bouton_effacer_tout' => 'Effacer TOUT',
 'bouton_envoi_message_02' => 'ENVOYER UN MESSAGE',
